# Author:  Ashesh Rambachan <asheshr@g.harvard.edu>
# Description:
#   Use this script to set up combinations of simulation parameters for the fixed T, large N simulations
#   by modifying the list "params". The list is then expanded using a Cartesian product 
#   and the resulting data frame of combinations is outputted into data/panel_param_combinations_largeN.csv

# NOTE: Uncomment relevant parameter combinations

# Large N, N = 100, size control, normally distributed errors
# params_normal_normality <- list(
#   "phi" =  c(0.25, 0.5, 0.75),
#   "beta" = c(0),
#   "pT"= c(0.25, 0.5, 0.75),
#   "Nunits" = c(100),
#   "timePeriods"= c(2),
#   "numSims" = c(5000),
#   "err.dist" = c("normal"),
#   "sigma" = c(1)
# )

# Large N, N = 50000, size control, cauchy distributed errors
# params_t_normality <- list(
#   "phi" =  c(0.25, 0.5, 0.75),
#   "beta" = c(0),
#   "pT"= c(0.25, 0.5, 0.75),
#   "Nunits" = c(50000),
#   "timePeriods"= c(2),
#   "numSims" = c(5000),
#   "err.dist" = c("t"),
#   "sigma" = c(1)
# )

# Large N, N = 100, power, normally distributed errors
# params_power <- list(
#   "phi" =  c(0.25, 0.5, 0.75),
#   "beta" = seq(from = -1, to = 1, by = 0.1),
#   "pT"= c(0.25, 0.5, 0.75),
#   "Nunits" = c(100),
#   "timePeriods"= c(2),
#   "numSims" = c(5000),
#   "err.dist" = c("normal"),
#   "sigma" = c(1)
# )

# CHANGE THE NAME OF THE PARAMETER COMBINATIONS
# combinations <- expand.grid(params_power)
write.csv(combinations, "data/panel_param_combinations_largeN.csv")
