# Author: Victoria L. Prince <vliublinska@hbs.edu>
# Last updated by: Ashesh Rambachan <asheshr@g.harvard.edu>
# Description:
#   Use this script to set up combinations of simulation parameters for the large-T, one unit simulations
#   by modifying the list "params". The list is then expanded using a Cartesian product and the resulting data frame of combinations 
#   is outputted into panel_sim_study/data/panel_param_combinations_largeT.csv

# NOTE: Uncomment relevant parameter combinations

# Large T, T = 100 size control simulations with normally distributed errors
# params_normal_normality <- list(
#   "phi" =  c(0.25, 0.5, 0.75),
#   "beta" = c(0),
#   "pT"= c(0.25, 0.5, 0.75),
#   "Nunits" = c(1),
#   "timePeriods"= c(100),
#   "numSims" = c(5000),
#   "err.dist" = c("normal"),
#   "sigma" = c(1)
# )

# Large T = 50000, size control simulations with cauchy distributed errors
# params_cauchy_normality <- list(
#   "phi" =  c(0.25),
#   "beta" = c(0),
#   "pT"= c(0.5),
#   "Nunits" = c(1),
#   "timePeriods"= c(50000),
#   "numSims" = c(5000),
#   "err.dist" = c("t"),
#   "sigma" = c(1)
# )

# Large T = 100, power simulations with normally distributed errors
# params_power <- list(
#   "phi" =  c(0.25, 0.5, 0.75),
#   "beta" = seq(from = -1, to = 1, by = 0.1),
#   "pT"= c(0.25, 0.5, 0.75),
#   "Nunits" = c(1),
#   "timePeriods"= c(100),
#   "numSims" = c(5000),
#   "err.dist" = c("normal"),
#   "sigma" = c(1)
# )

# CHANGE THE NAME OF THE PARAMETER COMBINATIONS
# combinations <- expand.grid(params_power)
write.csv(combinations, "data/panel_param_combinations_largeT.csv")